Skip to main content
`Ctrl`+`K`

# VecViennaCLGetCLMemRead

Provides access to the CL buffer inside a Vec.

## Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLGetCLMemRead(Vec v, PETSC_UINTPTR_T *mem)

Caller should cast (*mem) to (const cl_mem). Caller is responsible for invoking clReleaseMemObject().

## Input Parameter

- v - the vector

## Output Parameter

- mem - pointer to the device buffer

## See Also

`VecViennaCLGetCLContext()`, `VecViennaCLGetCLMemWrite()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages